Vulnerable

From Firefall Wiki
Jump to: navigation, search
This article has been a stub since 01 Jan 1970.

Vulnerable is a status effect that causes those affected by it to take increased damage.

Sources of Effect